Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.parameters
Class SimpleParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.SimpleParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

    public class SimpleParameterSet

extends ParameterSet

Class for a `ParameterSet` that is constructed from an array of `Parameter`s and thus does nothing in the method `loadParameters()`.

Author:
  Jan Grau

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`SimpleParameterSet(Parameter... parameters)` Creates a new `SimpleParameterSet` from an array of `Parameter`s.
`SimpleParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary
`SimpleParameterSet` | `clone()` Creates a full clone (deep copy) of this `ParameterSet`.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.
`void` | `reset()` Resets all `Parameter`s in this `ParameterSet` to their default values or `null` if not default value was provided.

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, fromXML, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, resetToFirst, setParent, simplify, toGalaxy, toXML, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleParameterSet

    public SimpleParameterSet(Parameter... parameters)

  Creates a new `SimpleParameterSet` from an array of `Parameter`s.

  Parameters:
    `parameters` - the parameters

### SimpleParameterSet

    public SimpleParameterSet(StringBuffer representation)
                       throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `SimpleParameterSet` from its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `StringBuffer` `representation` could not be parsed

Method Detail

### clone

    public SimpleParameterSet clone()
                             throws CloneNotSupportedException

  Description copied from class: `ParameterSet`
  Creates a full clone (deep copy) of this `ParameterSet`. As a convenience-method the user can use `fillWithStandardFieldsForClone(ParameterSet)` on a newly created instance of a subclass of `ParameterSet` to obtain a clone/copy of all standard member variables (those already defined in `ParameterSet`) in the passed `ParameterSet`. Using this method, the cloning process becomes merely three-step:
  - Create a new instance of your subclass of `ParameterSet`, most likely with an empty constructor or the one taking just the instance class.
  - Call `this.fillWithStandardFieldsForClone` on this instance.
  - Return the instance.
  This method fulfills the conventions of `Object`'s method `Object.clone()`.

  Overrides:
    `clone` in class `ParameterSet`
  Returns:
    a deep clone/copy of this `ParameterSet`
  Throws:
    `CloneNotSupportedException`

### reset

    public void reset()

  Description copied from class: `ParameterSet`
  Resets all `Parameter`s in this `ParameterSet` to their default values or `null` if not default value was provided.

  Overrides:
    `reset` in class `ParameterSet`
  See Also:
    `Parameter.reset()`

### loadParameters

    protected void loadParameters()

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Specified by:
    `loadParameters` in class `ParameterSet`
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD